# Class CIM_DHCPCapabilities
extends CIM_EnabledLogicalElementCapabilities

A class derived from EnabledLogicalElementCapabilities representing the capabilities of a DHCP client.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_DHCPCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class derived from EnabledLogicalElementCapabilities representing the capabilities of a DHCP client.
UMLPackagePath | string | CIM::Network::DHCP
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IPv6OptionsSupported | uint16[] |
Description | string | One or more DHCP option opcodes supported by the DHCP client for IPv6. The values of this property shall be the option-codes specified in RFC3315, Section 22.
MappingStrings | string | RFC3315.IETF
OptionsSupported | uint16[] |
Description | string | One or more DHCP options supported by the DHCP client. These may include: Subnet Mask, Default Router, DNS Server, etc. See RFC2132 for a description of each option.
MappingStrings | string | RFC2132.IETF, RFC2937.IETF, RFC3011.IETF, RFC3046.IETF, RFC3004.IETF, RFC2610.IETF, RFC3442.IETF
ModelCorrespondence | string | CIM_DHCPProtocolEndpoint.OptionsReceived

ValueMap

string

0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82..83, 84, 85..118, 119, 120, 121..122, 123, 124..256, 257, 258..32767, 32768..65535

Values

string

Unknown, Other, Pad, Subnet Mask, Time Offset, Router Option, Time Server, Name Server, Domain Name Server, Log Server, Cookie Server, LPR Server, Impress Server, Resource Location Server, Host Name, Boot File Size, Merit Dump File, Domain Name, Swap Server, Root Path, Extensions Path, IP Forwarding Enable/Disable, Non-Local Source Routing Enable/Disable, Policy Filter, Maximum Datagram Reassembly Size, Default IP Time-to-live, Path MTU Aging Timeout, Path MTU Plateau Table, Interface MTU, All Subnets are Local, Broadcast Address, Perform Subnet Mask Discovery, Mask Supplier, Perform Router Discovery, Router Solicitation Address, Static Route, Trailer Encapsulation, ARP Cache Timeout, Ethernet Encapsulation, TCP Default TTL, TCP Keepalive Interval, TCP Keepalive Garbage, Network Information Service Domain, Network Information Servers, Network Time Protocol Servers, Vendor Specific Information, NetBIOS over TCP/IP Name Server, NetBIOS over TCP/IP Datagram Distribution Server, NetBIOS over TCP/IP Node Type, NetBIOS over TCP/IP Scope, X Window System Font Server, X Window System Display Manager, Requested IP Address, Lease Time, Option Overload, Message Type, Server Identifier, Parameter Request List, Error Message, Maximum Message Size, Renewal (T1) Time, Rebinding (T2) Time, Vendor Class Identifier, Client Identifier, DMTF Reserved, DMTF Reserved, Network Information Service+ Domain, Network Information Service+ Servers, TFTP Server Name, Bootfile Name, Mobile IP Home Agent, Simple Mail Transport Protocol (SMTP) Server, Post Office Protocol (POP3) Server, Network News Transport Protocol (NNTP) Server, Default World Wide Web (WWW) Server, Default Finger Server, Default Internet Relay Chat (IRC) Server, StreetTalk Server, StreetTalk Directory Assistance (STDA) Server, User Class, SLP Directory Agent, SLP Service Scope, DMTF Reserved, Relay Agent Information, DMTF Reserved, Name Service Search, Subnet Selection, DMTF Reserved, Classless Route, DMTF Reserved, End, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods